/*
Theme Name: seven-diamond
Description: Child theme of seven-diamond
Author: seven-diamond
Version: 1.0.0
Text Domain: seven-diamond
Template: twentytwentyone
*/

* { margin: 0; padding: 0; box-sizing: border-box;}
/* *:not(.slick-track):not(.slick-list) { transition: all 0.3s ease-in-out;} */
html{overflow-x: hidden}
body{color: var(--black); font-family: var(--red-hat); font-size: 16px; font-weight: 400; line-height: 24px; letter-spacing: 0px;overflow-x: hidden;}
a{display: inline-block;transition: 0.3s ease-in-out;}
.site .button:focus, button:focus, input[type=submit]:focus, input[type=reset]:focus, .wp-block-search .wp-block-search__button:focus, .wp-block-button .wp-block-button__link:focus, .wp-block-file a.wp-block-file__button:focus { outline:none; }
a, button:focus, button:focus-visible, .site a:focus, body .site a:focus:not(.wp-block-button__link):not(.wp-block-file__button), a:hover, .widget a:link, .widget a:visited, .widget a:active { text-decoration: none; text-decoration-style: none; outline: none;border-color: transparent;}
.site a:focus:not(.wp-block-button__link):not(.wp-block-file__button) img{outline: none;}
.widget>*:last-child { margin-block: 0; }
li { list-style: none;line-height: unset; }
img { width: 100%; height: auto; user-select: none;}
img:focus-visible, a:focus, .btn:focus, a:focus-visible, div:focus-visible { outline: none; box-shadow: none; }
.site-main>* { margin: 0; }
.site-main { padding-inline: 0;padding-bottom: 0;}
:focus-visible { outline:0; }
input[type=text]:focus, input[type=email]:focus, input[type=url]:focus, input[type=password]:focus, input[type=search]:focus, input[type=number]:focus, input[type=tel]:focus, input[type=date]:focus, input[type=month]:focus, input[type=week]:focus, input[type=time]:focus, input[type=datetime]:focus, input[type=datetime-local]:focus, input[type=color]:focus, .site textarea:focus{outline:none;}
/* .primary-navigation > div > .menu-wrapper .sub-menu-toggle:focus{outline: none;} */
/* ::selection  {background-color: var(--bg-green);color: var(--white);} */
.lock-scrolling,html:has(.lock-scrolling){overflow: hidden;}
.site-branding{margin: 0 !important;}
ul,h1,h2,h3,h4,h5,h6,p{margin: 0;padding: 0;}
:root                   
{ 
    /* color */
    --white: #ffffff; 
    --black: #000000;  
    --black-01:#0D0D0D;  
    --black-02:#141414;  
    --gray:#757575;
    --secondary:#585858; 
    --off-white: #F8F8F8;
    --off-white-01: #F6F6F6;
    --f0: transparent;
    
    /* validation color */
    --g1: #36612F;
    --g2: #C0D7BC;
    --r1 : #ff4500;
    --r2 : #ffc8c8;
    
    /* font family */
    --red-hat:"Red Hat Text", sans-serif;
}

/* typography */
.heading-style-1{font-size:48px;line-height:64px;letter-spacing:0;font-weight:700;font-family:var(--red-hat);}
.heading-style-2{font-size:40px;line-height:54px;letter-spacing:0;font-weight:600;font-family:var(--red-hat);}
.heading-style-3{font-size:32px;line-height:32px;letter-spacing:0;font-weight:600;font-family:var(--red-hat);}
.heading-style-4{font-size:28px;line-height:28px;letter-spacing:0;font-weight:600;font-family:var(--red-hat);}
.heading-style-5{font-size:24px;line-height:24px;letter-spacing:0;font-weight:600;font-family:var(--red-hat);}
.heading-style-6{font-size:20px;line-height:26px;letter-spacing:0;font-weight:600;font-family:var(--red-hat);}
p{font-size:16px;line-height:26px;letter-spacing:0;font-weight:400;font-family:var(--red-hat);}
.p-small{font-size:14px;line-height:22px;letter-spacing:4.2px;font-weight:600;font-family:var(--red-hat);color: var(--gray);text-transform: uppercase;}

/* button style */
.common-theme-btn{margin-top:40px; padding:12px 20px !important;font-size: 16px;line-height: 26px;letter-spacing: 0;font-family:var(--red-hat);font-weight: 500; text-align:center; display: inline-flex;gap:8px;align-items:center;justify-content: center; border: 1px solid; border-radius: 10px;transition:0.3s ease-in-out;}
.common-theme-btn img{width: 24px;height: 24px;transition:0.3s ease-in-out;}
.white-fill-theme-btn{background-color: var(--white); color: var(--black); border-color: var(--white);}
.white-fill-theme-btn:hover{background-color: var(--black); color: var(--white); border-color: var(--white);}
.white-fill-theme-btn:hover img,.black-fill-theme-btn img{filter: brightness(0) saturate(100%) invert(100%) sepia(17%) saturate(837%) hue-rotate(232deg) brightness(116%) contrast(101%);}
.white-transparent-theme-btn{background-color: var(--f0);color:var(--white);border-color:var(--white);}
.white-transparent-theme-btn img{width: 24px;height: 24px;filter: brightness(0) saturate(100%) invert(100%) sepia(17%) saturate(837%) hue-rotate(232deg) brightness(116%) contrast(101%);}
.white-transparent-theme-btn:hover{background-color: var(--white);color:var(--black);}
.black-fill-theme-btn{background-color: var(--black); color: var(--white); border-color: var(--black);}
.black-fill-theme-btn:hover{background-color: var(--white); color: var(--black); border-color: var(--black);}
.black-fill-theme-btn:hover img,.white-transparent-theme-btn:hover img{filter: brightness(0) saturate(100%);}

.common-theme-btn:focus{background-color: var(--black) !important;border-color: var(--white) !important;}
.common-theme-btn:focus img{filter: brightness(0) saturate(100%) invert(100%) sepia(17%) saturate(837%) hue-rotate(232deg) brightness(116%) contrast(101%);}

/* overlay */
.overlay-bottom,.overlay-left{position: relative;}
.overlay-bottom::after,.overlay-left::after{position: absolute;background: linear-gradient(180deg, rgba(0, 0, 0, 0) 63.01%, rgba(0, 0, 0, 0.537981) 77.11%, #000000 99.27%); content: "";z-index: 1;pointer-events: none;}
.overlay-bottom::after{bottom: 0;left: 0;height:50%;width: 100%;}
.overlay-left::after{top: 0;left: 0;height: 100%;width: 100%;background: linear-gradient(270deg, rgba(0, 0, 0, 0) 43.85%, #000000 98%); }

/* padding */
.padding-block{padding-block: 90px;}

.container{max-width:1568px;margin: 0 auto;}


/* ============ section-banner ============ */
.section-banner{position: relative; width: 100%; height: calc(100vh - 85px); min-height:600px; background-size:cover;background-position:center center;background-repeat:no-repeat;}
.section-banner .container{height: 100%; display: flex ; flex-direction: column; justify-content: end;}
.section-banner .banner-content{margin-bottom:90px;max-width:913px;position: relative; z-index: 2;}
.section-banner .heading-style-1{color: var(--white);margin-block:24px;}
.section-banner p{color: var(--white);font-weight:500;}
.section-banner .heading-style-5{color:var(--white);text-transform: uppercase;}

/* common title */
.title-description { text-align: center; max-width: 1289px; margin: 0 auto 40px; display: flex; flex-direction: column; gap: 12px; }
.title-header { display: flex; flex-direction: column; gap: 8px; }
.title-header .p-small { margin-bottom: 0; }
.title-header .heading-style-2 { margin-bottom: 0; color: var(--black); }
.title-description > p { margin-bottom: 0; color: var(--secondary); }


/* ============ section our team ============ */
.section-our-team{ background-color: var(--off-white-01); }
.team-card-inner{ display: flex; flex-direction: column; gap: 8px; }
.team-image{ width: 100%; position: relative; padding-top: 103.77%; background-color: #D3D3D3; border-radius: 20px; overflow: hidden; }
.team-image img{ position: absolute; bottom: 0; left: 50%; width: 100%; transform: translateX(-50%); height: 100%; object-fit: contain; object-position: center bottom;}
.team-info{ display: flex; flex-direction: column; gap: 4px; text-align: center; }
.team-info .heading-style-5{ color: var(--black); margin-bottom: 0; }
.team-info .p-small{ color: var(--black); margin-bottom: 0; }
.team-social{ display: flex; justify-content: center; gap: 8px; }
.team-social a{ background: var(--black);flex-shrink:0 ; border-radius: 50%; display: flex; align-items: center; justify-content: center; width: 24px; height: 24px;}
.team-social a:hover{background: var(--gray);}
.team-social img{ width: 14px; height: 14px;}

/* =========================== 404 page =========================== */
.error-page{padding-block:150px;text-align: center;position:relative;}
.error-page:after{content:"";position:absolute;height:100%;width:100%;left: 0;top:50%;transform:translateY(-50%);background:url(./assets/images/bg-commen-pattern.png) no-repeat center / contain , var(--bg-light-creme);z-index:-1;opacity: 1;}
.error-page .heading-style-1{margin-bottom: 20px; font-size: 110px; line-height: 110px;}
.error-page .heading-style-2{margin-bottom:20px;font-size: 41px; line-height: 50px;}
.error-page p{text-transform: capitalize !important;margin-bottom: 0 !important;}

/* =========================================== media query start =========================================== */
@media screen and (max-width:1600px){
	.container{max-width:1440px;}
	
	/* typography */
	.heading-style-1{font-size:47px;line-height:60px;}
	.heading-style-2{font-size:39px;line-height:46px;}
	.heading-style-3{font-size:31px;line-height:28px;}
	.heading-style-4{font-size:27px;line-height:28px;}
	.heading-style-5{font-size:23px;line-height:24px;}
	.heading-style-6{font-size:19px;line-height:24px;}
	
	/* title responsive */
	.title-description { margin-bottom: 35px; gap: 10px; }
    
    /* ============ section-banner ============ */
    .section-banner{height: calc(100vh - 77px);}
    .section-banner .banner-content{margin-bottom:80px;}
    .section-banner .heading-style-1{margin-block:22px;}
}
@media screen and (max-width:1500px){
	.container{max-width:1320px;}
    
    /* typography */
    .heading-style-1{font-size:46px;line-height:56px;}
    .heading-style-2{font-size:36px;line-height:40px;}
    .heading-style-3{font-size:30px;line-height:30px;}
    .heading-style-4{font-size:26px;line-height:26px;}
    .heading-style-5{font-size:22px;line-height:22px;}
    .heading-style-6{font-size:18px;line-height:22px;}
    /* common btn */
    .common-theme-btn{padding:10px 18px !important;}
    
    /* title responsive */
    .title-description { margin-bottom: 30px; gap: 8px; }

}
@media screen and (max-width:1366px){
	.container{max-width:1120px;}
    body{font-size: 15px;}
    /* padding */
    .padding-block{padding-block: 80px;}
    
    /* typography */
    .heading-style-1{font-size:44px;line-height:52px;}
    .heading-style-2{font-size:34px;line-height:40px;}
    .heading-style-3{font-size:26px;line-height:26px;}
    .heading-style-4{font-size:24px;line-height:24px;}
    .heading-style-5{font-size:20px;line-height:20px;}
    .heading-style-6{font-size:17px;line-height:22px;}
    
    /* button */
    .common-theme-btn{margin-top: 32px !important;}
    
    /* title responsive */
    .title-description { margin-bottom: 25px; gap: 8px; }    
    
    /* ============ section-banner ============ */
    .section-banner{height: calc(100vh - 73px);}
    .section-banner .banner-content{margin-bottom:70px;}
    .section-banner .heading-style-1{margin-block:20px;}
    
    /* ============ section our team ============ */
    .team-image { border-radius: 14px; }
}
@media screen and (max-width:1199px){
	.container{max-width:960px;}
    
     /* padding */
    .padding-block{padding-block: 72px;}
    
    /* typography */
    .heading-style-1{font-size:42px;line-height:42px;}
    .heading-style-2{font-size:32px;line-height:36px;}
    .heading-style-3{font-size:24px;line-height:24px;}
    .heading-style-4{font-size:22px;line-height:22px;}
    .heading-style-5{font-size:18px;line-height:18px;}
    .heading-style-6{font-size:16px;line-height:20px;}
    p{font-size:15px;line-height:24px;}
    /* common btn */
    .common-theme-btn{padding:9px 16px !important;}
    
    /* title responsive */
    .title-description { margin-bottom: 20px; gap: 6px; }
    
    /* ============ section-banner ============ */
    .section-banner{height: calc(100vh - 70px);}
    .section-banner .banner-content{margin-bottom:60px;}
    .section-banner .heading-style-1{margin-block:16px;}
    
     
    /* ============ section our team ============ */
    .section-our-team .row{--bs-gutter-x: 10px;}
    .team-card-inner { gap: 6px; }
    .team-social { gap: 6px; }
    .team-social a{width:22px;height:22px;}
    .team-social a img{width:12px;height:12px;}
}
@media screen and (max-width:991px){
	.container{max-width:740px;}
    
    /* padding */
    .padding-block{padding-block: 68px;}
    
    /* typography */
    .heading-style-1{font-size:38px;line-height:46px;}
    .heading-style-2{font-size:30px;line-height:36px;}
    .heading-style-3{font-size:22px;line-height:22px;}
    .heading-style-4{font-size:20px;line-height:20px;}
    .heading-style-5{font-size:16px;line-height:20px;}
    p{font-size:14px;line-height:22px;}
    /* common btn */
    .common-theme-btn{padding:6px 14px !important;border-radius: 8px;}
    .common-theme-btn img{width: 22px;height: 22px;}
    
    /* title responsive */
    .title-description { margin-bottom: 18px; gap: 6px; }
    
    /* ============ section-banner ============ */
    .section-banner{height: 660px;min-height: auto;}
    .section-banner .banner-content{margin-bottom:55px;}
    .section-banner .heading-style-1{margin-block:15px;}
    
     
    /* ============ section our team ============ */
    .section-our-team .row { --bs-gutter-x: 15px; row-gap: 15px; }
    .team-card-inner { gap: 5px; }
    .team-info { gap: 3px; }
    .team-social { gap: 5px; }
    
     /* =========================== 404 page =========================== */
     .error-page{padding-block:130px;}
     .error-page .heading-style-1{margin-bottom: 15px; font-size: 105px; line-height: 110px;}
     .error-page .heading-style-2{margin-bottom:18px;font-size: 40px; line-height: 45px;}
     .error-page p{font-size: 20px !important;margin-bottom: 0 !important;}
}
@media screen and (max-width:767px){
	.container{max-width:100%;}
	
      /* padding */
    .padding-block{padding-block: 64px;}
    
	/* typography */
    .heading-style-1{font-size:34px;line-height:40px;}
    .heading-style-2{font-size:28px;line-height:32px;}
    .heading-style-3{font-size:20px;line-height:20px;}
    .heading-style-4{font-size:18px;line-height:18px;}
    .heading-style-5{font-size:15px;line-height:16px;}
    
    /* button */
    .common-theme-btn{font-size: 15px; line-height: 22px;}
    
    /* title responsive */
    .title-description { margin-bottom: 15px; gap: 5px; }
    
    /* ============ section-banner ============ */
    .section-banner .banner-content{margin-bottom:50px;}
    
     /* ============ section our team ============ */
     .team-card-inner { gap: 4px; }
     .team-info { gap: 2px; }
     .team-social { gap: 4px; }
}
@media screen and (max-width:575px){
      /* padding */
    .padding-block{padding-block: 60px;}
    
	/* typography */
    .heading-style-1{font-size:32px;line-height:40px;}
    .heading-style-2{font-size:24px;line-height:30px;}
    .heading-style-3{font-size:18px;line-height:18px;}
    .heading-style-4{font-size:16px;line-height:16px;}
    .p-small{letter-spacing: 2px;}
    /* button */
    .common-theme-btn img{width: 20px;height: 20px;}
    
    /* title responsive */
    .title-description { margin-bottom: 18px; gap: 4px; }
    
    /* ============ section-banner ============ */
    .section-banner{height:560px;}
    .section-banner .banner-content{margin-bottom:50px;}
    .overlay-bottom::after{height: 180%;}
    
    /* ============ section our team ============ */
    .team-card-inner { gap: 3px; }
    .team-info { gap: 2px; }
    .team-social { gap: 3px; }
    .team-image { border-radius: 12px; }
    
     /* =========================== 404 page =========================== */
     .error-page{padding-block:110px;}
     .error-page .heading-style-1{margin-bottom: 15px; font-size: 63px; line-height: 70px;}
     .error-page .heading-style-2{margin-bottom:15px;font-size: 26px; line-height: 30px;}
     .error-page p{font-size: 15px !important;}
}

